org.apache.solr.client.solrj.cloud.autoscaling

## Class PolicyHelper.SessionRef

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.PolicyHelper.SessionRef

Enclosing class:
  PolicyHelper

    public static class PolicyHelper.SessionRef
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SessionRef()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `decref(long version)`
`Policy.Session` `get()`
`int` `getRefCount()`
`long` `getRefVersion()`
`Policy.Session` `initOrGet(SolrCloudManager cloudManager, Policy policy)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SessionRef

    public SessionRef()

### Method Detail

#### getRefVersion

    public long getRefVersion()

#### decref

    public void decref(long version)

#### getRefCount

    public int getRefCount()

#### get

    public Policy.Session get()

#### initOrGet

    public Policy.Session initOrGet(SolrCloudManager cloudManager,
                                    Policy policy)